<bugID>993383<Summary>A dialog window without title bar appears after pressing on some buttons for in-content preferences</Summary><Description>Created attachment 8403245
MAC specific issue.png

Reproducible on the latest Beta (BuildID: 20140407135746)
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:29.0) Gecko/20100101 Firefox/29.0
Reproducible on the latest Aurora (BuildID: 20140407004002)
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:30.0) Gecko/20100101 Firefox/30.0
Reproducible on the latest Nightly (BuildID: 20140407030203) 
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:31.0) Gecko/20100101 Firefox/31.0

Steps to reproduce: 
1. Open about:preferences.
2. Go to Privacy tab, on History section and select &#8220;Use custom history for history&#8221; option. Click on the &#8220;Exceptions&#8221; button(from &#8220;Accept cookies from sites&#8221; option) and on the &#8220;Show Cookies&#8221; button.
3.Go to Security tab and click on the &#8220;Exceptions&#8221; button(from &#8220;Warn me when sites try to install add-ons&#8221; and &#8220;Remember password for sites&#8221; options) and on the &#8220;Saved Passwords&#8221; button;  
4.Go to Advanced tab, on Network and click on the &#8220;Exceptions&#8221; button(from &#8220;Tell me when a websites asks to store data for offline use&#8221; option). 

Actual results: After steps #2,#3 and #4, a dialog window without title bar (close, minimize, maximize buttons + title) appears. The dialog window can&#8217;t be closed (see screenshot &#8220;MAC specific issue.PNG&#8221;)

Expected results: After steps #2, #3 and #4, a dialog window with title bar is correctly displayed. The dialog window can be closed, minimized, maximized. 

Notes: This issue is not a regression.</Description></bugID>